# QA Launchpad Bug Reports
# Copyright 2013 Canonical Ltd.

# This program is free software: you can redistribute it and/or modify it
# under the terms of the GNU Affero General Public License version 3, as
# published by the Free Software Foundation.

# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranties of
# MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR
# PURPOSE.  See the GNU Affero General Public License for more details.

# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

"""qlbr provides basic launchpad caching and bug reports for the QA team."""

import datetime
import logging

logging.basicConfig(format='%(levelname)s:%(message)s', level=logging.INFO)


class tz(datetime.tzinfo):

    """Trivial timezone for UTC."""

    def utcoffset(self, _derp):
        """Indicate we're UTC.

        :returns: 0 time delta
        :rtype: datetime.timedelta

        """
        return datetime.timedelta(0)

    def dst(self, _derp):
        """Indicate DST isn't active.

        :returns: 0 time delta
        :rtype: datetime.timedelta

        """
        return datetime.timedelta(0)

TZ = tz()
