# QA Launchpad Bug Reports
# Copyright 2013 Canonical Ltd.

# This program is free software: you can redistribute it and/or modify it
# under the terms of the GNU Affero General Public License version 3, as
# published by the Free Software Foundation.

# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranties of
# MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR
# PURPOSE.  See the GNU Affero General Public License for more details.

# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

"""Define common objects for qlbr commands."""

from django.core.management.base import BaseCommand
from launchpadlib.launchpad import Launchpad

from qlbr.settings import CACHEDIR


class LaunchpadCommand(BaseCommand):

    """Allow commands to access launchpad."""

    def __init__(self):
        """Establish a launchpad connection."""
        super(LaunchpadCommand, self).__init__()
        self.lp = Launchpad.login_anonymously('QA Reports',
                                              'production',
                                              CACHEDIR)
