# QA Launchpad Bug Reports
# Copyright 2013 Canonical Ltd.

# This program is free software: you can redistribute it and/or modify it
# under the terms of the GNU Affero General Public License version 3, as
# published by the Free Software Foundation.

# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranties of
# MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR
# PURPOSE.  See the GNU Affero General Public License for more details.

# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

"""Update people data from launchpad.  Should run occasionally."""

import logging

from qlbr.management.commands import LaunchpadCommand
from qlbr.models import Person

logger = logging.getLogger(__name__)


class Command(LaunchpadCommand):

    """Refresh launchpad info for all Person objects stored locally."""

    def handle(self, *args, **options):
        """Refresh launchpad info for all Person objects stored locally."""
        for person in Person.objects.iterator():
            lp_person = self.lp.load(person.self_link)
            person.web_link = lp_person.web_link
            person.name = lp_person.name
            person.display_name = lp_person.display_name
            logger.info('Updated info for %s', person)
            person.save()
